package com.yhy.module.core.service.resource;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import com.yhy.module.core.controller.admin.resource.vo.ResourceItemQueryReqVO;
import com.yhy.module.core.controller.admin.resource.vo.ResourceItemRespVO;
import com.yhy.module.core.controller.admin.resource.vo.ResourceItemSaveReqVO;
import com.yhy.module.core.controller.admin.resource.vo.ResourcePriceSaveReqVO;
import com.yhy.module.core.dal.dataobject.resource.ResourcePriceDO;

import java.util.List;

public interface ResourceItemService {

    Long createItem(ResourceItemSaveReqVO reqVO);

    void updateItem(ResourceItemSaveReqVO reqVO);

    void deleteItem(Long id);

    PageResult<ResourceItemRespVO> pageItems(ResourceItemQueryReqVO reqVO);

    List<ResourcePriceDO> listPrices(Long resourceId);

    Long createPrice(ResourcePriceSaveReqVO reqVO);

    void updatePrice(ResourcePriceSaveReqVO reqVO);

    void deletePrice(Long id);
}
